<script>
    setTimeout(() => {
        document.querySelector('.added-product').style.animationName = 'finish'
        document.querySelector('.added-product').style.animationDuration = '2s'
    }, 3000)
    setTimeout(() => {
        document.querySelector('.added-product').style.display = 'none'
    }, 5000)
</script>
{% extends 'index.html' %}
{% block title %}

    <title>Search result</title>
{% endblock %}
{% block success_tag %}
    {% if add %}
        <div class="added-product" id="trigger">The product has been added to cart</div>
    {% else %}
    {% endif %}
{% endblock %}
{% block cont2 %}
    <div class="container" style="margin-top: 20px;">
{% endblock %}
{% block content %}
    <div style="left:0; margin-top:20px;">
        <p>The number of results for "{{ search }}" : {{ result }}</p>
    </div>
    {% if objects_list %}
        {% for prod in objects_list %}
            <div class='rowss' id="ros">
                <div class='product--blue'>
                    <div class='product_inner'>
                        <img src="{{ prod.image.url }}" alt="Card image" class="card_img"><br>
                        {{ prod.name }} <br>
                        Price: {{ prod.price }} lei <br>
                        <a href="{% url 'prod_details'  prod.pk %}" class="card-text">Details</a>
                        {% if prod.quantity == 0 %}
                            <div class="out-of-stock">Out of stock</div>
                        {% else %}
                            <form action="{% url 'cart-add' %}" method="GET">
                                {% csrf_token %}
                                <label>
                                    <input type="hidden" name="{{ prod.pk }}">
                                    <input type="number" max="{{ prod.quantity }}" min="1" name="quantity"
                                           value="1"><br>
                                    <input type="hidden" name="{{ prod.category.pk }}">
                                    <input type="hidden" name="{{ search }}">
                                    <button type="submit" class="butt" value="">Add to chart</button>
                                </label>
                            </form>
                        {% endif %}
                    </div>
                </div>
            </div>

        {% endfor %}
        <div class="paginator-block">
            <ul>

                {% if objects_list.has_previous %}
                    <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                        &laquo;
                    </a>
                {% endif %}
                {% if objects_list.number|add:'-4' > 1 %}
                    <a class="inactive-page" href="?page={{ objects_list.number|add:'-6' }}">&hellip;</a>
                {% endif %}
                {% for n in objects_list.paginator.page_range %}
                    {% if objects_list.number == n %}

                        <a class="active-page">{{ n }}</a>
                    {% elif n > objects_list.number|add:'-5' and n < objects_list.number|add:'5' %}

                        <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

                    {% endif %}
                {% endfor %}
                {% if objects_list.paginator.num_pages > objects_list.number|add:'5' %}
                    <a class="inactive-page" href="?page={{ objects_list.number|add:'6' }}">&hellip;</a>
                {% endif %}
                {% if objects_list.has_next %}
                    <a class="inactive-page" href="?page={{ objects_list.paginator.num_pages }}" aria-label="Next">
                        &raquo;
                    </a>
                {% endif %}

            </ul>
        </div>
    {% else %}
        <p class="updt"> No item has been matched to your search</p>
    {% endif %}
    </div>

{% endblock %}

<script>
    document.addEventListener("DOMContentLoaded", function (event) {
        var scrollpos = localStorage.getItem('scrollpos');
        if (scrollpos) window.scrollTo(0, scrollpos);
    });

    window.onbeforeunload = function (e) {
        localStorage.setItem('scrollpos', window.scrollY);
    };
</script>